optoKummenberg

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
optoKummenberg.registers.InputStage.VectorPatternUnit Class Reference
Inheritance diagram for optoKummenberg.registers.InputStage.VectorPatternUnit:

## Public Member Functions
def | __init__ (self, int channel=0, board=None, sys_id_base=0x68)
def | SetUnit (self, value)
def | GetUnit (self)
def | Run (self)
def | Stop (self)
def | GetRunningStatus (self)
def | SetStart (self, value)
def | GetStart (self)
def | SetEnd (self, value)
def | GetEnd (self)
def | SetFreqSampleSpeed (self, value)
def | GetFreqSampleSpeed (self)
def | GetMinFreqSampleSpeed (self)
def | GetMaxFreqSampleSpeed (self)
def | SetCycles (self, value)
def | GetCycles (self)
def | GetIndex (self)
def | SetExternalTrigger (self, value)
def | GetOutput (self)
def | SetStart2 (self, value)
def | GetStart2 (self)
def | SetEnd2 (self, value)
def | GetEnd2 (self)
def | SetExtTriggerGPIO (self, value)
def | GetExtTriggerGPIO (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.InputStage
def | __init__ (self, int or None channel=0, board=None)
def | SetAsInput (self)
Public Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | __init__ (self, int or None channel=None, board=None)
def | set_register (self, str or int register_name_or_id, value, bool set_internal=False)
def | set_register_id (self, int register_id, value, type=None)
def | get_register (self, str or int register_name_or_id)
def | get_register_id (self, int register_id)
def | get_register_names (self)

## Static Public Member Functions
def | help ()

## Public Attributes
| sys_id
| unit
| run
| start
| end
| frequency_speed
| min_speed
| max_speed
| cycles
| external_trigger
| output
| start2
| end2
| ext_trigger_gpio
| index
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
| name
Public Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| name
| register_list

## Additional Inherited Members
Protected Member Functions inherited from optoKummenberg.registers.ClassAbstracts.System
def | _get_register_list (self)
Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
| _channel
| _is_a_system
| _board
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.InputStage
bool | _is_a_system = False
Static Protected Attributes inherited from optoKummenberg.registers.ClassAbstracts.System
bool | _is_a_system = False

## Detailed Description

    Input Channel Systems - Vector Pattern Unit
    System ID: 0x68 through 0x6f

    * Vector Pattern Unit system base ID: \b 0x68
    *
    * The Vector Pattern Unit system is an input stage system that can used to propagate
    * arbitrary vector values set by the user as input to the \ref signalflow.
    * The values must be saved in the \ref VectorPatternMemory  "Vector Pattern Memory".
    * The Vector Pattern system has to be activated through the \ref SignalFlowManager.
    * Unit type has to match to the configured control mode.
    *
    * ### Register Map:
    *
    * | Address    | Name                   | Default Value    | Description                                                                                                               | Type                  | Access
    * | -----------|------------------------|------------------|---------------------------------------------------------------------------------------------------------------------------|-----------------------| ----------
    * | 0x6[8-F]00 | Unit type              | 0                |                                                                                                                           | \ref ChannelValueType | read write
    * | 0x6[8-F]01 | Run                    | false            | Turn Vector Pattern Unit on/off                                                                                           | boolean               | read write
    * | 0x6[8-F]02 | Start                  | 0                | Index of first desired point in \ref VectorPatternMemory "Vector Pattern Memory" <br/> (start of transition triggered by rising edge of external signal if External trigger configured) | uint32                | read write
    * | 0x6[8-F]03 | End                    | 0                | Index after last desired point in \ref VectorPatternMemory  "Vector Pattern Memory"  <br/> (end of transition triggered by rising edge of external signal if External trigger configured) | uint32                | read write
    * | 0x6[8-F]04 | Sample rate            | 20000            | Sample rate at which the Vector Pattern unit samples the vector in the \ref VectorPatternMemory  "Vector Pattern Memory"  | float                 | read write
    * | 0x6[8-F]05 | Minimum sampling  rate | \f$ \frac{20000}{2^{32}-1} \f$ | In Hz                                                                                                    | float                 | read only
    * | 0x6[8-F]06 | Maximum sampling rate  | 20000            | In Hz                                                                                                                     | float                 | read only
    * | 0x6[8-F]07 | Cycles                 | -1               | Number of cycles to be generated. Run flag is turned off after completion. Negative value corresponds to infinite looping | int32                 | read write
    * | 0x6[8-F]08 | External trigger       | 0                | Vector Pattern Unit can be synchronised with external signal (0=disabled, 1=rising/falling edge, 2=rising edge trigger)   | uint32                | read write
    * | 0x6[8-F]09 | Output                 | N/A     F         | Output of the vector pattern unit                                                                                         | float                 | read only
    * | 0x6[8-F]0A | Start2                 | 0                | Index of first desired point in \ref VectorPatternMemory "Vector Pattern Memory" <br/> (start of second part of transition triggered by falling edge of external signal) | uint32                | read write
    * | 0x6[8-F]0B | End2                   | 0                | Index after last desired point in \ref VectorPatternMemory "Vector Pattern Memory" <br/> (end of second part of transition triggered by falling edge of external signal) | uint32                | read write
    * | 0x6[8-F]0C | External trigger GPIOx | false            | Turns GPIOx pin to trigger input source (GPIOx default is trigger output) and disables global external trigger SYNCx pin  | boolean               | read write
    *

    registers table 1:

    +---------------+-------+
    | Waveform Unit | Value |
    +===============+=======+
    | Current       | 0     |
    +---------------+-------+

## Constructor & Destructor Documentation

## ◆ __init__()

def optoKummenberg.registers.InputStage.VectorPatternUnit.__init__ | ( |  | self,
|  | int | channel = `0`,
|  |  | board = `None`,
|  |  | sys_id_base = `0x68`
| ) |  |

Reimplemented from optoKummenberg.registers.ClassAbstracts.InputStage.

## Member Function Documentation

## ◆ GetCycles()

def optoKummenberg.registers.InputStage.VectorPatternUnit.GetCycles | ( |  | self | ) |

## ◆ GetEnd()

def optoKummenberg.registers.InputStage.VectorPatternUnit.GetEnd | ( |  | self | ) |

## ◆ GetEnd2()

def optoKummenberg.registers.InputStage.VectorPatternUnit.GetEnd2 | ( |  | self | ) |

## ◆ GetExtTriggerGPIO()

def optoKummenberg.registers.InputStage.VectorPatternUnit.GetExtTriggerGPIO | ( |  | self | ) |

## ◆ GetFreqSampleSpeed()

def optoKummenberg.registers.InputStage.VectorPatternUnit.GetFreqSampleSpeed | ( |  | self | ) |

## ◆ GetIndex()

def optoKummenberg.registers.InputStage.VectorPatternUnit.GetIndex | ( |  | self | ) |

## ◆ GetMaxFreqSampleSpeed()

def optoKummenberg.registers.InputStage.VectorPatternUnit.GetMaxFreqSampleSpeed | ( |  | self | ) |

## ◆ GetMinFreqSampleSpeed()

def optoKummenberg.registers.InputStage.VectorPatternUnit.GetMinFreqSampleSpeed | ( |  | self | ) |

## ◆ GetOutput()

def optoKummenberg.registers.InputStage.VectorPatternUnit.GetOutput | ( |  | self | ) |

## ◆ GetRunningStatus()

def optoKummenberg.registers.InputStage.VectorPatternUnit.GetRunningStatus | ( |  | self | ) |

## ◆ GetStart()

def optoKummenberg.registers.InputStage.VectorPatternUnit.GetStart | ( |  | self | ) |

## ◆ GetStart2()

def optoKummenberg.registers.InputStage.VectorPatternUnit.GetStart2 | ( |  | self | ) |

## ◆ GetUnit()

def optoKummenberg.registers.InputStage.VectorPatternUnit.GetUnit | ( |  | self | ) |

## ◆ help()

def optoKummenberg.registers.InputStage.VectorPatternUnit.help | ( |  | ) |
| static

## ◆ Run()

def optoKummenberg.registers.InputStage.VectorPatternUnit.Run | ( |  | self | ) |

## ◆ SetCycles()

def optoKummenberg.registers.InputStage.VectorPatternUnit.SetCycles | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetEnd()

def optoKummenberg.registers.InputStage.VectorPatternUnit.SetEnd | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetEnd2()

def optoKummenberg.registers.InputStage.VectorPatternUnit.SetEnd2 | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetExternalTrigger()

def optoKummenberg.registers.InputStage.VectorPatternUnit.SetExternalTrigger | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetExtTriggerGPIO()

def optoKummenberg.registers.InputStage.VectorPatternUnit.SetExtTriggerGPIO | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetFreqSampleSpeed()

def optoKummenberg.registers.InputStage.VectorPatternUnit.SetFreqSampleSpeed | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetStart()

def optoKummenberg.registers.InputStage.VectorPatternUnit.SetStart | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetStart2()

def optoKummenberg.registers.InputStage.VectorPatternUnit.SetStart2 | ( |  | self,
|  |  | value
| ) |  |

## ◆ SetUnit()

def optoKummenberg.registers.InputStage.VectorPatternUnit.SetUnit | ( |  | self,
|  |  | value
| ) |  |

## ◆ Stop()

def optoKummenberg.registers.InputStage.VectorPatternUnit.Stop | ( |  | self | ) |

## Member Data Documentation

## ◆ cycles

optoKummenberg.registers.InputStage.VectorPatternUnit.cycles

## ◆ end

optoKummenberg.registers.InputStage.VectorPatternUnit.end

## ◆ end2

optoKummenberg.registers.InputStage.VectorPatternUnit.end2

## ◆ ext_trigger_gpio

optoKummenberg.registers.InputStage.VectorPatternUnit.ext_trigger_gpio

## ◆ external_trigger

optoKummenberg.registers.InputStage.VectorPatternUnit.external_trigger

## ◆ frequency_speed

optoKummenberg.registers.InputStage.VectorPatternUnit.frequency_speed

## ◆ index

optoKummenberg.registers.InputStage.VectorPatternUnit.index

## ◆ max_speed

optoKummenberg.registers.InputStage.VectorPatternUnit.max_speed

## ◆ min_speed

optoKummenberg.registers.InputStage.VectorPatternUnit.min_speed

## ◆ name

optoKummenberg.registers.InputStage.VectorPatternUnit.name

## ◆ output

optoKummenberg.registers.InputStage.VectorPatternUnit.output

## ◆ run

optoKummenberg.registers.InputStage.VectorPatternUnit.run

## ◆ start

optoKummenberg.registers.InputStage.VectorPatternUnit.start

## ◆ start2

optoKummenberg.registers.InputStage.VectorPatternUnit.start2

## ◆ sys_id

optoKummenberg.registers.InputStage.VectorPatternUnit.sys_id

## ◆ unit

optoKummenberg.registers.InputStage.VectorPatternUnit.unit

The documentation for this class was generated from the following file:

- C:/Users/filip.stary/Documents/142-421-00_optoKummenberg/src/main/python/optoKummenberg/registers/InputStage.py